aws-0.24.4: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.Iam.Commands.ListMfaDevices

Synopsis

- data ListMfaDevices = ListMfaDevices {
  - lmfaUserName :: Maybe Text
  - lmfaMarker :: Maybe Text
  - lmfaMaxItems :: Maybe Integer
  }
- data ListMfaDevicesResponse = ListMfaDevicesResponse {
  - lmfarMfaDevices :: [MfaDevice]
  - lmfarIsTruncated :: Bool
  - lmfarMarker :: Maybe Text
  }

# Documentation

data ListMfaDevices Source #

Lists the MFA devices. If the request includes the user name, then this action lists all the MFA devices associated with the specified user name. If you do not specify a user name, IAM determines the user name implicitly based on the AWS access key ID signing the request.

https://docs.aws.amazon.com/IAM/latest/APIReference/API_ListMFADevices.html

Constructors

ListMfaDevices |

Fields

- lmfaUserName :: Maybe Text

  The name of the user whose MFA devices you want to list. If you do not specify a user name, IAM determines the user name implicitly based on the AWS access key ID signing the request

- lmfaMarker :: Maybe Text

  Used for paginating requests. Marks the position of the last request.

- lmfaMaxItems :: Maybe Integer

  Used for paginating requests. Specifies the maximum number of items to return in the response. Defaults to 100.

#### Instances

Instances details

SignQuery ListMfaDevices Source # |

Instance details

Defined in Aws.Iam.Commands.ListMfaDevices

Associated Types

type ServiceConfiguration ListMfaDevices |
Instance details Defined in Aws.Iam.Commands.ListMfaDevices type ServiceConfiguration ListMfaDevices = IamConfiguration

Methods

signQuery :: ListMfaDevices -> ServiceConfiguration ListMfaDevices queryType -> SignatureData -> SignedQuery Source #

Show ListMfaDevices Source # |
Instance details Defined in Aws.Iam.Commands.ListMfaDevices Methods showsPrec :: Int -> ListMfaDevices -> ShowS Source # show :: ListMfaDevices -> String Source # showList :: [ListMfaDevices] -> ShowS Source #
Eq ListMfaDevices Source # |
Instance details Defined in Aws.Iam.Commands.ListMfaDevices Methods (==) :: ListMfaDevices -> ListMfaDevices -> Bool Source # (/=) :: ListMfaDevices -> ListMfaDevices -> Bool Source #
Ord ListMfaDevices Source # |

Instance details

Defined in Aws.Iam.Commands.ListMfaDevices

Methods

compare :: ListMfaDevices -> ListMfaDevices -> Ordering Source #

(<) :: ListMfaDevices -> ListMfaDevices -> Bool Source #

(<=) :: ListMfaDevices -> ListMfaDevices -> Bool Source #

(>) :: ListMfaDevices -> ListMfaDevices -> Bool Source #

(>=) :: ListMfaDevices -> ListMfaDevices -> Bool Source #

max :: ListMfaDevices -> ListMfaDevices -> ListMfaDevices Source #

min :: ListMfaDevices -> ListMfaDevices -> ListMfaDevices Source #

IteratedTransaction ListMfaDevices ListMfaDevicesResponse Source # |
Instance details Defined in Aws.Iam.Commands.ListMfaDevices Methods nextIteratedRequest :: ListMfaDevices -> ListMfaDevicesResponse -> Maybe ListMfaDevices Source #
ResponseConsumer ListMfaDevices ListMfaDevicesResponse Source # |

Instance details

Defined in Aws.Iam.Commands.ListMfaDevices

Associated Types

type ResponseMetadata ListMfaDevicesResponse |
Instance details Defined in Aws.Iam.Commands.ListMfaDevices type ResponseMetadata ListMfaDevicesResponse = IamMetadata

Methods

responseConsumer :: Request -> ListMfaDevices -> IORef (ResponseMetadata ListMfaDevicesResponse) -> HTTPResponseConsumer ListMfaDevicesResponse Source #

Transaction ListMfaDevices ListMfaDevicesResponse Source # |
Instance details Defined in Aws.Iam.Commands.ListMfaDevices
type ServiceConfiguration ListMfaDevices Source # |
Instance details Defined in Aws.Iam.Commands.ListMfaDevices type ServiceConfiguration ListMfaDevices = IamConfiguration

data ListMfaDevicesResponse Source #

Constructors

ListMfaDevicesResponse |

Fields

- lmfarMfaDevices :: [MfaDevice]

  List of 'MFA Device's.

- lmfarIsTruncated :: Bool

  `True` if the request was truncated because of too many items.

- lmfarMarker :: Maybe Text

  Marks the position at which the request was truncated. This value must be passed with the next request to continue listing from the last position.

#### Instances

Instances details

AsMemoryResponse ListMfaDevicesResponse Source # |

Instance details

Defined in Aws.Iam.Commands.ListMfaDevices

Associated Types

type MemoryResponse ListMfaDevicesResponse |
Instance details Defined in Aws.Iam.Commands.ListMfaDevices type MemoryResponse ListMfaDevicesResponse = ListMfaDevicesResponse

Methods

loadToMemory :: ListMfaDevicesResponse -> ResourceT IO (MemoryResponse ListMfaDevicesResponse) Source #

Show ListMfaDevicesResponse Source # |
Instance details Defined in Aws.Iam.Commands.ListMfaDevices Methods showsPrec :: Int -> ListMfaDevicesResponse -> ShowS Source # show :: ListMfaDevicesResponse -> String Source # showList :: [ListMfaDevicesResponse] -> ShowS Source #
Eq ListMfaDevicesResponse Source # |
Instance details Defined in Aws.Iam.Commands.ListMfaDevices Methods (==) :: ListMfaDevicesResponse -> ListMfaDevicesResponse -> Bool Source # (/=) :: ListMfaDevicesResponse -> ListMfaDevicesResponse -> Bool Source #
Ord ListMfaDevicesResponse Source # |

Instance details

Defined in Aws.Iam.Commands.ListMfaDevices

Methods

compare :: ListMfaDevicesResponse -> ListMfaDevicesResponse -> Ordering Source #

(<) :: ListMfaDevicesResponse -> ListMfaDevicesResponse -> Bool Source #

(<=) :: ListMfaDevicesResponse -> ListMfaDevicesResponse -> Bool Source #

(>) :: ListMfaDevicesResponse -> ListMfaDevicesResponse -> Bool Source #

(>=) :: ListMfaDevicesResponse -> ListMfaDevicesResponse -> Bool Source #

max :: ListMfaDevicesResponse -> ListMfaDevicesResponse -> ListMfaDevicesResponse Source #

min :: ListMfaDevicesResponse -> ListMfaDevicesResponse -> ListMfaDevicesResponse Source #

IteratedTransaction ListMfaDevices ListMfaDevicesResponse Source # |
Instance details Defined in Aws.Iam.Commands.ListMfaDevices Methods nextIteratedRequest :: ListMfaDevices -> ListMfaDevicesResponse -> Maybe ListMfaDevices Source #
ResponseConsumer ListMfaDevices ListMfaDevicesResponse Source # |

Instance details

Defined in Aws.Iam.Commands.ListMfaDevices

Associated Types

type ResponseMetadata ListMfaDevicesResponse |
Instance details Defined in Aws.Iam.Commands.ListMfaDevices type ResponseMetadata ListMfaDevicesResponse = IamMetadata

Methods

responseConsumer :: Request -> ListMfaDevices -> IORef (ResponseMetadata ListMfaDevicesResponse) -> HTTPResponseConsumer ListMfaDevicesResponse Source #

Transaction ListMfaDevices ListMfaDevicesResponse Source # |
Instance details Defined in Aws.Iam.Commands.ListMfaDevices
type MemoryResponse ListMfaDevicesResponse Source # |
Instance details Defined in Aws.Iam.Commands.ListMfaDevices type MemoryResponse ListMfaDevicesResponse = ListMfaDevicesResponse
type ResponseMetadata ListMfaDevicesResponse Source # |
Instance details Defined in Aws.Iam.Commands.ListMfaDevices type ResponseMetadata ListMfaDevicesResponse = IamMetadata